---
###
# File........: /apt/tasks/01_add_repo.yml
# Description.: Ansible Automation Task: APT - Add apt repository
# Author......: Issac Nolis Ohasi
# Created at..: 20.02.2022 11:25
###
- block:
  - name: "[APT] Purging current apt repositories"
    shell: rm -rf {{ repository_folder }}/*
    args:
      warn: false
    when: purge_repo | bool

  - name: "[APT] Adding apt repository"
    apt_repository:
      repo: "{{ repository_list }}"
      filename: "{{ repository_filename | default(default_repo_filename) }}"
      state: present
  when: repository_list | length > 0





